// graphic.c   21 nov 2016
//   use turbo c 3.0 graphic

#include <graphics.h>
#include <conio.h>
#include "s21.h"

//  drawing area is 320 x 240, each dot is 2x2 pixels

int gd = DETECT, gm;
char textbuf[80];        //  display buffer

// device global coor is vga 640 x 480   (xx,yy)
// local coor is 320 x 240               (x,y)
void dotxy(INT x, INT y){
	 int xx, yy;
	 if( 0 <= x || x <= 319 || 0 <= y || y <= 239 ){
		xx = (int)(x+x);   // 2x, 2y
		yy = (int)(y+y);
		setcolor(WHITE);
		bar(xx, yy, xx+2, yy+2);
		delay(100);
	 }
}

void textxy(INT x, INT y, char *str){
	int xx, yy;
	xx = (int)(x+x);
	yy = (int)(y+y);
	setcolor(BLACK);
	outtextxy(xx, yy, textbuf);   // erase old display
	strcpy(textbuf, str);
	setcolor(WHITE);
	outtextxy(xx, yy, str);
}

void init_graph(void){
	initgraph(&gd, &gm, "c:\\tc\\bgi");
	setcolor(WHITE);
}

// wait for keypress to quit
void close_graph(void){
	getch();
	cleardevice();
	delay(1000);
	closegraph();
	restorecrtmode();
}

